﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : System.Windows.Controls.Ribbon.RibbonWindow
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void RibbonWindow_Loaded(object sender, RoutedEventArgs e)
        {
            dataGridView.Columns.Clear();
            dataGridView.Rows.Clear();
            for (int i = 0; i < 3; i++)
            {
                DataGridViewColumn myCol = new DataGridViewTextBoxColumn();
                dataGridView.Columns.Add(myCol);
            }
            dataGridView.Rows.Insert(0, 3);
            dataGridView.Font = new System.Drawing.Font("宋体", 9, System.Drawing.FontStyle.Regular);
            dataGridView.RowHeadersWidth = 120;
            dataGridView.TopLeftHeaderCell.Value = "";
            dataGridView.Rows[0].HeaderCell.Value = "";
            dataGridView.Rows[1].HeaderCell.Value = "";
            dataGridView.Rows[2].HeaderCell.Value = "";
            dataGridView.Columns[0].HeaderText = "";
            dataGridView.Columns[1].HeaderText = "";
            dataGridView.Columns[2].HeaderText = "";
            dataGridView.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            dataGridView.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;//标题栏不可拖动
            dataGridView.ColumnHeadersHeight = 30;

            for (int i = 0; i < this.dataGridView.Columns.Count; i++)
            {
                dataGridView.Columns[i].SortMode = DataGridViewColumnSortMode.NotSortable;//所有列不排序
                dataGridView.Columns[i].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;//所有单元格居中
            }
            dataGridView.RowHeadersVisible = false;//去掉最左边的一列
            dataGridView.Columns[0].ReadOnly = true; //第0列只读
            dataGridView.AllowUserToResizeColumns = false;//所有列不可拖动
            dataGridView.AllowUserToResizeRows = false;//所有行不可拖动
            dataGridView.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;//标题栏居中
            dataGridView.Columns[2].AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;//使所有列填充
            dataGridView.AllowUserToAddRows = false;//去掉最后一行

            for (int i = 0; i < dataGridView.RowCount; i++)
            {
                dataGridView.Rows[i].Height = 30;
                for (int j = 0; j < dataGridView.ColumnCount; j++)
                {
                    if (i == 0)
                    {
                        dataGridView.Columns[j].Width = 100;
                        dataGridView.Columns[j].SortMode = DataGridViewColumnSortMode.NotSortable;//所有列不排序
                    }
                    if (j % 2 == 0)
                    {
                        dataGridView.Rows[i].Cells[j].Style.BackColor = System.Drawing.Color.Gold;
                    }
                    else
                    {
                        dataGridView.Rows[i].Cells[j].Style.BackColor = System.Drawing.Color.SkyBlue;
                    }
                }
            }
        }
    }



}
